[Libreoffice-commits] .: 2 commits - configure.in set_soenv.in solenv/bin

Michael Meeks michael at kemper.freedesktop.org
Sat Sep 10 07:54:27 PDT 2011


 configure.in      |    8 ++++++++
 set_soenv.in      |   12 ++++++++++++
 solenv/bin/linkoo |   32 ++++++++++++++++++++++++++++++++
 3 files changed, 52 insertions(+)

New commits:
commit c22a376c72a36c31a0d958c8ef665215f0ade90f
Author: Michael Meeks <michael.meeks at novell.com>
Date:   Sat Sep 10 16:50:41 2011 +0200

    link gdb python helpers across into the install as well

diff --git a/solenv/bin/linkoo b/solenv/bin/linkoo
index 538c70b..51c1879 100755
--- a/solenv/bin/linkoo
+++ b/solenv/bin/linkoo
@@ -301,6 +301,37 @@ sub evilness($)
     }
 }
 
+sub link_gdb_py()
+{
+    print "Special gdb.py helpers case: ";
+    my $dirh;
+    my @basis;
+    my @ure;
+    my $src = "$OOO_BUILD/solver/$TARGET/lib";
+    opendir ($dirh, $src) || die "can't open solver: $src: $!";
+    while (my $dent = readdir ($dirh)) {
+	$dent =~ /^\./ && next;
+	$dent =~ /\-gdb\.py/ || next;
+	if ($dent =~ /uno/) {
+	    push @ure, $dent;
+	} else {
+	    push @basis, $dent;
+	}
+    }
+    closedir ($dirh);
+    if (@ure < 1 || @basis < 1) {
+	print STDERR "Warning: missing helpful python debug helpers\n";
+    } else {
+	for my $c (@basis) {
+	    do_link ($src, "$OOO_INSTALL/basis-link/program", $c, $c, 1);
+	}
+	for my $c (@ure) {
+	    do_link ($src, "$OOO_INSTALL/ure/lib", $c, $c, 1);
+	}
+    }
+    print "\n";
+}
+
 sub link_iso_res()
 {
     print "Special iso.res case: ";
@@ -372,6 +403,7 @@ evilness ('undo');
 my $installed_files = build_installed_list ($OOO_INSTALL);
 
 scan_and_link_files ($OOO_BUILD, $installed_files, $TARGET);
+link_gdb_py();
 link_iso_res();
 link_pagein_files();
 
commit f2cc639131e62187a51b39555a24efc47b87fb13
Author: Michael Meeks <michael.meeks at novell.com>
Date:   Fri Sep 9 16:40:36 2011 +0100

    Add detection of stale / slow makes (for Windows) and warn about them.

diff --git a/configure.in b/configure.in
index fad509a..9de186e 100755
--- a/configure.in
+++ b/configure.in
@@ -2541,6 +2541,14 @@ else
 fi
 AC_SUBST(GNUMAKE)
 
+_make_ver_check=`$GNUMAKE --version | grep LibreOffice`;
+STALE_MAKE=
+make_warning=
+if test "z$_make_ver_check" = "z"; then
+   STALE_MAKE=TRUE
+fi
+AC_SUBST(STALE_MAKE)
+
 dnl ===================================================================
 dnl  Test the Solaris compiler version
 dnl ===================================================================
diff --git a/set_soenv.in b/set_soenv.in
index 0717241..8528184 100755
--- a/set_soenv.in
+++ b/set_soenv.in
@@ -2089,6 +2089,18 @@ print "To install when the build is finished, issue:\n$GNUMAKE install\n\n";
 print "If you want to develop LibreOffice, you might prefer:\n$GNUMAKE dev-install\n\n";
 print "If you want to run the smoketest, issue:\n$GNUMAKE check\n\n";
 
+if ("@STALE_MAKE@" eq "TRUE" && $platform =~ m/cygwin/ ) {
+print << 'EOS'
+WARNING:
+Your make version is known to be horribly slow, and hard to debug
+problems with. To get a reasonably functional make please run:
+
+$ <three commands to be supplied by Norbert>
+
+before building.
+EOS
+}
+
 $bootfile = "bootstrap";
 open( OUT, ">$bootfile" ) ||
 die "Cannot open $bootfile: $!\n";


More information about the Libreoffice-commits mailing list